\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Range and Segment Trees

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Segment_tree_traits_map_3< R, T > Class Template Reference
Traits Classes

`#include <CGAL/Range_segment_tree_traits.h>`

## Definition

The class `Segment_tree_traits_map_3` is a segment tree traits class for the 3-dimensional point class from the CGAL kernel, where data of type `T` is associated to each interval.

The class is parameterized with a representation class `R` and the type of the associated data `T`.

## Types
std::pair< R::Point_3 > | Key
std::pair< std::pair< Key, Key > , T > | Interval